Package org.eclipse.cdt.utils.macho

# Class MachO64.Section

java.lang.Object
org.eclipse.cdt.utils.macho.MachO64.Section

Enclosing class:
  MachO64

public class MachO64.Section extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`addr`
`int`
`align`
`int`
`flags`
`int`
`nreloc`
`int`
`offset`
`int`
`reloff`
`int`
`reserved1`
`int`
`reserved2`
`int`
`reserved3`
`static final int`
`S_4BYTE_LITERALS`
`static final int`
`S_8BYTE_LITERALS`
`static final int`
`S_ATTR_EXT_RELOC`
`static final int`
`S_ATTR_LOC_RELOC`
`static final int`
`S_ATTR_NO_TOC`
`static final int`
`S_ATTR_PURE_INSTRUCTIONS`
`static final int`
`S_ATTR_SOME_INSTRUCTIONS`
`static final int`
`S_ATTR_STRIP_STATIC_SYMS`
`static final int`
`S_COALESCED`
`static final int`
`S_CSTRING_LITERALS`
`static final int`
`S_LAZY_SYMBOL_POINTERS`
`static final int`
`S_LITERAL_POINTERS`
`static final int`
`S_MOD_INIT_FUNC_POINTERS`
`static final int`
`S_MOD_TERM_FUNC_POINTERS`
`static final int`
`S_NON_LAZY_SYMBOL_POINTERS`
`static final int`
`S_REGULAR`
`static final int`
`S_SYMBOL_STUBS`
`static final int`
`S_ZEROFILL`
`static final int`
`SECTION_ATTRIBUTES`
`static final int`
`SECTION_ATTRIBUTES_SYS`
`static final int`
`SECTION_ATTRIBUTES_USR`
`static final int`
`SECTION_TYP`
`String`
`sectname`
`MachO64.SegmentCommand`
`segment`
`String`
`segname`
`long`
`size`

## Constructor Summary

Constructors
Constructor
Description
`Section()`

## Method Summary

Modifier and Type
Method
Description
`int`
`flags(int mask)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SECTION_TYP

public static final int SECTION_TYP

See Also:
  - Constant Field Values

### SECTION_ATTRIBUTES

public static final int SECTION_ATTRIBUTES

See Also:
  - Constant Field Values

### SECTION_ATTRIBUTES_USR

public static final int SECTION_ATTRIBUTES_USR

See Also:
  - Constant Field Values

### S_REGULAR

public static final int S_REGULAR

See Also:
  - Constant Field Values

### S_ZEROFILL

public static final int S_ZEROFILL

See Also:
  - Constant Field Values

### S_CSTRING_LITERALS

public static final int S_CSTRING_LITERALS

See Also:
  - Constant Field Values

### S_4BYTE_LITERALS

public static final int S_4BYTE_LITERALS

See Also:
  - Constant Field Values

### S_8BYTE_LITERALS

public static final int S_8BYTE_LITERALS

See Also:
  - Constant Field Values

### S_LITERAL_POINTERS

public static final int S_LITERAL_POINTERS

See Also:
  - Constant Field Values

### S_NON_LAZY_SYMBOL_POINTERS

public static final int S_NON_LAZY_SYMBOL_POINTERS

See Also:
  - Constant Field Values

### S_LAZY_SYMBOL_POINTERS

public static final int S_LAZY_SYMBOL_POINTERS

See Also:
  - Constant Field Values

### S_SYMBOL_STUBS

public static final int S_SYMBOL_STUBS

See Also:
  - Constant Field Values

### S_MOD_INIT_FUNC_POINTERS

public static final int S_MOD_INIT_FUNC_POINTERS

See Also:
  - Constant Field Values

### S_MOD_TERM_FUNC_POINTERS

public static final int S_MOD_TERM_FUNC_POINTERS

See Also:
  - Constant Field Values

### S_COALESCED

public static final int S_COALESCED

See Also:
  - Constant Field Values

### S_ATTR_PURE_INSTRUCTIONS

public static final int S_ATTR_PURE_INSTRUCTIONS

See Also:
  - Constant Field Values

### S_ATTR_NO_TOC

public static final int S_ATTR_NO_TOC

See Also:
  - Constant Field Values

### S_ATTR_STRIP_STATIC_SYMS

public static final int S_ATTR_STRIP_STATIC_SYMS

See Also:
  - Constant Field Values

### SECTION_ATTRIBUTES_SYS

public static final int SECTION_ATTRIBUTES_SYS

See Also:
  - Constant Field Values

### S_ATTR_SOME_INSTRUCTIONS

public static final int S_ATTR_SOME_INSTRUCTIONS

See Also:
  - Constant Field Values

### S_ATTR_EXT_RELOC

public static final int S_ATTR_EXT_RELOC

See Also:
  - Constant Field Values

### S_ATTR_LOC_RELOC

public static final int S_ATTR_LOC_RELOC

See Also:
  - Constant Field Values

### sectname

public String sectname

### segname

public String segname

### segment

public MachO64.SegmentCommand segment

### addr

public long addr

### size

public long size

### offset

public int offset

### align

public int align

### reloff

public int reloff

### nreloc

public int nreloc

### flags

public int flags

### reserved1

public int reserved1

### reserved2

public int reserved2

### reserved3

public int reserved3

## Constructor Details

### Section

public Section()

## Method Details

### flags

public int flags(int mask)